# media-downloader

a simple graphical frontend for the `youtube-dl` media downloader. 
`youtube-dl` must be installed and in your PATH.

really just an experiment in creating my first desktop program, so don't expect too much.

uses `gtk-rs`. released under the MIT license.

## features

download from any media source that `youtube-dl` supports (e.g. soundcloud, mixcloud, etc.)

extract audio and convert to mp3 

## known problems

no validation for URL bar

no user feedback

will hang after clicking "go!" due to `youtube-dl` being executed in the same thread. 
there is no user feedback so this basically looks like the program crashing. 

TODO: investigate using https://crates.io/crates/gtk-future-executor

would it be possible to add progress bars for in-progress downloads somehow?

notifications for when downloads finish?
